Skip to main content
POST
Create a signed video download URL
Requires workspace preview access. See Video and batch jobs for setup, webhooks, and result handling.

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

video_id
string
required

The ID of the video generation request.

Body

application/json
index
integer
Required range: x >= 0
ttl_seconds
integer
Required range: x >= 1
disposition
enum<string>
Available options:
attachment,
inline

Response

200 - application/json

Signed download URL

download_url
string
expires_at
integer
Last modified on October 18, 2026